GNU Radio C++ API Reference: EyeDisplayPlot Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
EyeDisplayPlot Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

QWidget for displaying eye pattern plots. More...

`#include <gnuradio/qtgui/EyeDisplayPlot.h>`

## Public Slots
void | setSampleRate (double sr, double units, const std::string &strunits)
void | setAutoScale (bool state)
void | setAutoScaleShot ()
void | legendEntryChecked (QwtPlotItem *plotItem, bool on) override
void | legendEntryChecked (const QVariant &plotItem, bool on, int index) override
void | enableTagMarker (unsigned int which, bool en)
void | setYLabel (const std::string &label, const std::string &unit="")
void | attachTriggerLines (bool en)
void | setTriggerLines (double x, double y)
void | setTagTextColor (QColor c)
void | setTagBackgroundColor (QColor c)
void | setTagBackgroundStyle (Qt::BrushStyle b)
void | setLineLabel (unsigned int which, QString label) override
Public Slots inherited from DisplayPlot
virtual void | disableLegend ()
virtual void | setAxisLabels (bool en)
virtual void | setYaxis (double min, double max)
virtual void | setXaxis (double min, double max)
virtual void | setLineLabel (unsigned int which, QString label)
virtual QString | getLineLabel (unsigned int which)
virtual QColor | getLineColor (unsigned int which) const
virtual int | getLineWidth (unsigned int which) const
virtual Qt::PenStyle | getLineStyle (unsigned int which) const
virtual QwtSymbol::Style | getLineMarker (unsigned int which) const
virtual int | getMarkerAlpha (unsigned int which) const
void | setLineColor1 (QColor)
void | setLineColor2 (QColor)
void | setLineColor3 (QColor)
void | setLineColor4 (QColor)
void | setLineColor5 (QColor)
void | setLineColor6 (QColor)
void | setLineColor7 (QColor)
void | setLineColor8 (QColor)
void | setLineColor9 (QColor)
void | setLineWidth1 (int)
void | setLineWidth2 (int)
void | setLineWidth3 (int)
void | setLineWidth4 (int)
void | setLineWidth5 (int)
void | setLineWidth6 (int)
void | setLineWidth7 (int)
void | setLineWidth8 (int)
void | setLineWidth9 (int)
void | setLineStyle1 (Qt::PenStyle)
void | setLineStyle2 (Qt::PenStyle)
void | setLineStyle3 (Qt::PenStyle)
void | setLineStyle4 (Qt::PenStyle)
void | setLineStyle5 (Qt::PenStyle)
void | setLineStyle6 (Qt::PenStyle)
void | setLineStyle7 (Qt::PenStyle)
void | setLineStyle8 (Qt::PenStyle)
void | setLineStyle9 (Qt::PenStyle)
void | setLineMarker1 (QwtSymbol::Style)
void | setLineMarker2 (QwtSymbol::Style)
void | setLineMarker3 (QwtSymbol::Style)
void | setLineMarker4 (QwtSymbol::Style)
void | setLineMarker5 (QwtSymbol::Style)
void | setLineMarker6 (QwtSymbol::Style)
void | setLineMarker7 (QwtSymbol::Style)
void | setLineMarker8 (QwtSymbol::Style)
void | setLineMarker9 (QwtSymbol::Style)
void | setMarkerAlpha1 (int)
void | setMarkerAlpha2 (int)
void | setMarkerAlpha3 (int)
void | setMarkerAlpha4 (int)
void | setMarkerAlpha5 (int)
void | setMarkerAlpha6 (int)
void | setMarkerAlpha7 (int)
void | setMarkerAlpha8 (int)
void | setMarkerAlpha9 (int)
void | setZoomerColor (QColor c)
void | setPaletteColor (QColor c)
void | setAxisLabelFontSize (int axisId, int fs)
void | setYaxisLabelFontSize (int fs)
void | setXaxisLabelFontSize (int fs)
void | setAxesLabelFontSize (int fs)
void | setStop (bool on)
void | resizeSlot (QSize *s)
void | onPickerPointSelected (const QPointF &p)

## Public Member Functions
| EyeDisplayPlot (unsigned int nplots, unsigned int curve_index, QWidget *parent)
| ~EyeDisplayPlot () override
| EyeDisplayPlot (const EyeDisplayPlot &)=delete
| EyeDisplayPlot (EyeDisplayPlot &&)=delete
EyeDisplayPlot & | operator= (const EyeDisplayPlot &)=delete
EyeDisplayPlot & | operator= (EyeDisplayPlot &&)=delete
void | plotNewData (const std::vector< const double * > dataPoints, const int64_t numDataPoints, int d_sps, const double timeInterval, const std::vector< std::vector< gr::tag_t > > &tags=std::vector< std::vector< gr::tag_t > >())
void | replot () override
void | stemPlot (bool en)
double | sampleRate () const
const QColor | getTagTextColor () const
const QColor | getTagBackgroundColor () const
Qt::BrushStyle | getTagBackgroundStyle () const
void | setLineColor (unsigned int which, QColor color) override
void | setLineWidth (unsigned int which, int width) override
void | setLineMarker (unsigned int which, QwtSymbol::Style marker) override
void | setLineStyle (unsigned int which, Qt::PenStyle style) override
void | setMarkerAlpha (unsigned int which, int alpha) override
Public Member Functions inherited from DisplayPlot
| DisplayPlot (int nplots, QWidget *)
| ~DisplayPlot () override
const QColor | getLineColor1 () const
const QColor | getLineColor2 () const
const QColor | getLineColor3 () const
const QColor | getLineColor4 () const
const QColor | getLineColor5 () const
const QColor | getLineColor6 () const
const QColor | getLineColor7 () const
const QColor | getLineColor8 () const
const QColor | getLineColor9 () const
int | getLineWidth1 () const
int | getLineWidth2 () const
int | getLineWidth3 () const
int | getLineWidth4 () const
int | getLineWidth5 () const
int | getLineWidth6 () const
int | getLineWidth7 () const
int | getLineWidth8 () const
int | getLineWidth9 () const
Qt::PenStyle | getLineStyle1 () const
Qt::PenStyle | getLineStyle2 () const
Qt::PenStyle | getLineStyle3 () const
Qt::PenStyle | getLineStyle4 () const
Qt::PenStyle | getLineStyle5 () const
Qt::PenStyle | getLineStyle6 () const
Qt::PenStyle | getLineStyle7 () const
Qt::PenStyle | getLineStyle8 () const
Qt::PenStyle | getLineStyle9 () const
QwtSymbol::Style | getLineMarker1 () const
QwtSymbol::Style | getLineMarker2 () const
QwtSymbol::Style | getLineMarker3 () const
QwtSymbol::Style | getLineMarker4 () const
QwtSymbol::Style | getLineMarker5 () const
QwtSymbol::Style | getLineMarker6 () const
QwtSymbol::Style | getLineMarker7 () const
QwtSymbol::Style | getLineMarker8 () const
QwtSymbol::Style | getLineMarker9 () const
int | getMarkerAlpha1 () const
int | getMarkerAlpha2 () const
int | getMarkerAlpha3 () const
int | getMarkerAlpha4 () const
int | getMarkerAlpha5 () const
int | getMarkerAlpha6 () const
int | getMarkerAlpha7 () const
int | getMarkerAlpha8 () const
int | getMarkerAlpha9 () const
QColor | getZoomerColor () const
QColor | getPaletteColor () const
int | getAxisLabelFontSize (int axisId) const
int | getYaxisLabelFontSize () const
int | getXaxisLabelFontSize () const
int | getAxesLabelFontSize () const

## Properties
QColor | tag_text_color
QColor | tag_background_color
Qt::BrushStyle | tag_background_style
Properties inherited from DisplayPlot
QColor | line_color1
QColor | line_color2
QColor | line_color3
QColor | line_color4
QColor | line_color5
QColor | line_color6
QColor | line_color7
QColor | line_color8
QColor | line_color9
int | line_width1
int | line_width2
int | line_width3
int | line_width4
int | line_width5
int | line_width6
int | line_width7
int | line_width8
int | line_width9
Qt::PenStyle | line_style1
Qt::PenStyle | line_style2
Qt::PenStyle | line_style3
Qt::PenStyle | line_style4
Qt::PenStyle | line_style5
Qt::PenStyle | line_style6
Qt::PenStyle | line_style7
Qt::PenStyle | line_style8
Qt::PenStyle | line_style9
QwtSymbolStyle | line_marker1
QwtSymbolStyle | line_marker2
QwtSymbolStyle | line_marker3
QwtSymbolStyle | line_marker4
QwtSymbolStyle | line_marker5
QwtSymbolStyle | line_marker6
QwtSymbolStyle | line_marker7
QwtSymbolStyle | line_marker8
QwtSymbolStyle | line_marker9
int | marker_alpha1
int | marker_alpha2
int | marker_alpha3
int | marker_alpha4
int | marker_alpha5
int | marker_alpha6
int | marker_alpha7
int | marker_alpha8
int | marker_alpha9
QColor | zoomer_color
QColor | palette_color
int | yaxis_label_font_size
int | xaxis_label_font_size
int | axes_label_font_size

## Additional Inherited Members
Signals inherited from DisplayPlot
void | plotPointSelected (const QPointF p)
Protected Slots inherited from DisplayPlot
virtual void | legendEntryChecked (QwtPlotItem *plotItem, bool on)
virtual void | legendEntryChecked (const QVariant &plotItem, bool on, int index)
Protected Attributes inherited from DisplayPlot
unsigned int | d_nplots
std::vector< QwtPlotCurve * > | d_plot_curve
QwtPlotPanner * | d_panner
QwtPlotZoomer * | d_zoomer
QwtDblClickPlotPicker * | d_picker
QwtPlotMagnifier * | d_magnifier
int64_t | d_numPoints
bool | d_stop
QList< QColor > | d_trace_colors
bool | d_autoscale_state

## Detailed Description

QWidget for displaying eye pattern plots.

## Constructor & Destructor Documentation

## ◆ EyeDisplayPlot() [1/3]

EyeDisplayPlot::EyeDisplayPlot | ( | unsigned int | nplots,
|  | unsigned int | curve_index,
|  | QWidget * | parent )

Referenced by operator=(), operator=(), plotNewData(), and ~EyeDisplayPlot().

## ◆ ~EyeDisplayPlot()

EyeDisplayPlot::~EyeDisplayPlot | ( |  | ) |
| override

References EyeDisplayPlot().

## ◆ EyeDisplayPlot() [2/3]

EyeDisplayPlot::EyeDisplayPlot | ( | const EyeDisplayPlot & |  | ) |
| delete

## ◆ EyeDisplayPlot() [3/3]

EyeDisplayPlot::EyeDisplayPlot | ( | EyeDisplayPlot && |  | ) |
| delete

## Member Function Documentation

## ◆ attachTriggerLines

void EyeDisplayPlot::attachTriggerLines | ( | bool | en | ) |
| slot

References setYLabel().

Referenced by setTriggerLines().

## ◆ enableTagMarker

void EyeDisplayPlot::enableTagMarker | ( | unsigned int | which,
|  | bool | en )
| slot

References legendEntryChecked().

Referenced by setYLabel().

## ◆ getTagBackgroundColor()

const QColor EyeDisplayPlot::getTagBackgroundColor | ( |  | ) | const

Referenced by setLineColor().

## ◆ getTagBackgroundStyle()

Qt::BrushStyle EyeDisplayPlot::getTagBackgroundStyle | ( |  | ) | const

References getTagTextColor().

Referenced by setLineWidth().

## ◆ getTagTextColor()

const QColor EyeDisplayPlot::getTagTextColor | ( |  | ) | const

References sampleRate().

Referenced by getTagBackgroundStyle().

## ◆ legendEntryChecked [1/2]

void EyeDisplayPlot::legendEntryChecked | ( | const QVariant & | plotItem,
|  | bool | on,
|  | int | index )
| overrideslot

References legendEntryChecked().

## ◆ legendEntryChecked [2/2]

void EyeDisplayPlot::legendEntryChecked | ( | QwtPlotItem * | plotItem,
|  | bool | on )
| overrideslot

References setAutoScaleShot().

Referenced by enableTagMarker(), and legendEntryChecked().

## ◆ operator=() [1/2]

EyeDisplayPlot & EyeDisplayPlot::operator= | ( | const EyeDisplayPlot & |  | ) |
| delete

References EyeDisplayPlot().

## ◆ operator=() [2/2]

EyeDisplayPlot & EyeDisplayPlot::operator= | ( | EyeDisplayPlot && |  | ) |
| delete

References EyeDisplayPlot().

## ◆ plotNewData()

void EyeDisplayPlot::plotNewData | ( | const std::vector< const double * > | dataPoints,
|  | const int64_t | numDataPoints,
|  | int | d_sps,
|  | const double | timeInterval,
|  | const std::vector< std::vector< gr::tag_t > > & | tags = std::vector< std::vector< gr::tag_t > >() )

References EyeDisplayPlot(), and plotNewData().

Referenced by plotNewData().

## ◆ replot()

void EyeDisplayPlot::replot | ( |  | ) |
| overridevirtual

Implements DisplayPlot.

Referenced by stemPlot().

## ◆ sampleRate()

double EyeDisplayPlot::sampleRate | ( |  | ) | const

References stemPlot().

Referenced by getTagTextColor().

## ◆ setAutoScale

void EyeDisplayPlot::setAutoScale | ( | bool | state | ) |
| slot

References setSampleRate().

Referenced by setAutoScaleShot().

## ◆ setAutoScaleShot

void EyeDisplayPlot::setAutoScaleShot | ( |  | ) |
| slot

References setAutoScale().

Referenced by legendEntryChecked().

## ◆ setLineColor()

void EyeDisplayPlot::setLineColor | ( | unsigned int | which,
|  | QColor | color )
| overridevirtual

Reimplemented from DisplayPlot.

References getTagBackgroundColor().

Referenced by setLineMarker().

## ◆ setLineLabel

void EyeDisplayPlot::setLineLabel | ( | unsigned int | which,
|  | QString | label )
| overrideslot

References setLineLabel(), and setTagBackgroundStyle().

Referenced by setLineLabel().

## ◆ setLineMarker()

void EyeDisplayPlot::setLineMarker | ( | unsigned int | which,
|  | QwtSymbol::Style | marker )
| overridevirtual

Reimplemented from DisplayPlot.

References setLineColor().

Referenced by setMarkerAlpha().

## ◆ setLineStyle()

void EyeDisplayPlot::setLineStyle | ( | unsigned int | which,
|  | Qt::PenStyle | style )
| overridevirtual

Reimplemented from DisplayPlot.

References setLineWidth().

Referenced by setMarkerAlpha().

## ◆ setLineWidth()

void EyeDisplayPlot::setLineWidth | ( | unsigned int | which,
|  | int | width )
| overridevirtual

Reimplemented from DisplayPlot.

References getTagBackgroundStyle().

Referenced by setLineStyle().

## ◆ setMarkerAlpha()

void EyeDisplayPlot::setMarkerAlpha | ( | unsigned int | which,
|  | int | alpha )
| overridevirtual

Reimplemented from DisplayPlot.

References setLineMarker(), setLineStyle(), and setMarkerAlpha().

Referenced by setMarkerAlpha().

## ◆ setSampleRate

void EyeDisplayPlot::setSampleRate | ( | double | sr,
|  | double | units,
|  | const std::string & | strunits )
| slot

Referenced by setAutoScale().

## ◆ setTagBackgroundColor

void EyeDisplayPlot::setTagBackgroundColor | ( | QColor | c | ) |
| slot

Referenced by setTagBackgroundStyle().

## ◆ setTagBackgroundStyle

void EyeDisplayPlot::setTagBackgroundStyle | ( | Qt::BrushStyle | b | ) |
| slot

References setTagBackgroundColor(), and setTagTextColor().

Referenced by setLineLabel().

## ◆ setTagTextColor

void EyeDisplayPlot::setTagTextColor | ( | QColor | c | ) |
| slot

References setTriggerLines().

Referenced by setTagBackgroundStyle().

## ◆ setTriggerLines

void EyeDisplayPlot::setTriggerLines | ( | double | x,
|  | double | y )
| slot

References attachTriggerLines().

Referenced by setTagTextColor().

## ◆ setYLabel

void EyeDisplayPlot::setYLabel | ( | const std::string & | label,
|  | const std::string & | unit = "" )
| slot

References enableTagMarker().

Referenced by attachTriggerLines().

## ◆ stemPlot()

void EyeDisplayPlot::stemPlot | ( | bool | en | ) |

References replot().

Referenced by sampleRate().

## Property Documentation

## ◆ tag_background_color

QColor EyeDisplayPlot::tag_background_color
| readwrite

## ◆ tag_background_style

Qt::BrushStyle EyeDisplayPlot::tag_background_style
| readwrite

## ◆ tag_text_color

QColor EyeDisplayPlot::tag_text_color
| readwrite

The documentation for this class was generated from the following file:

- EyeDisplayPlot.h